import { n as OpenClawConfig } from "../../types.openclaw-DdC5iqF7.js";
import "../../provider-onboard-C-v-7UCK.js";
//#region extensions/minimax/onboard.d.ts
export declare function applyMinimaxApiProviderConfig(cfg: OpenClawConfig, modelId?: string): OpenClawConfig;
export declare function applyMinimaxApiConfig(cfg: OpenClawConfig, modelId?: string): OpenClawConfig;
export declare function applyMinimaxApiProviderConfigCn(cfg: OpenClawConfig, modelId?: string): OpenClawConfig;
export declare function applyMinimaxApiConfigCn(cfg: OpenClawConfig, modelId?: string): OpenClawConfig;
//#endregion